[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# strpos

Find position of one null-terminated substring in another.

## Declaration

Source position: syspchh.inc line 34

`function strpos(`
`str1: PChar;`
`str2: PChar`
`):PChar;`

## Description

Returns a pointer to the first occurrence of S2 in S1. If S2 does not occur in S1, returns Nil.

## Errors

None.

## See also

StrScan |  | Find first occurrence of a character in a null-terminated string.
StrRScan |  | Find last occurrence of a character in a null-terminated string.

## Example

    Program Example15;

    Uses strings;

    { Program to demonstrate the StrPos function. }

    Const P : PChar = 'This is a PChar string.';
          S : Pchar = 'is';
    begin
      Writeln ('Position of ''is'' in P : ',sizeint(StrPos(P,S))-sizeint(P));
    end.

Documentation generated on: Feb 26 2014